/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.avatar {
  background-color: #878787;
  border-radius: 50%;
  display: inline-block;
  height: 50px;
  overflow: hidden;
  width: 50px;
  
  .content {
    align-items: center;
    display: flex;
    height: 100%;
    text-align: center;
  }

  span {
    color: #fff;
    font-family: 'FiraGO Light Italic';
    font-size: 34px;
    width: 100%;
  }

  img {
    height: 100%;
    object-fit: cover;
    object-position: center;
    width: 100%;
  }

  // Colors
  @each $themeName, $value in $theme-colors {
    &.#{$themeName} {
      background-color: $value;
    }
  }

  // Sizes

  &.small {
    height: 35px;
    width: 35px;

    span {
      font-size: 22px;
    }
  }

  &.large {
    height: 70px;
    width: 70px;
  }
}
